@import "common.css";
@import "danmaku.css";

.user-btn {
    border: none;
    background-color: transparent;
}

.main-container {
    margin-top: 50px;
    margin-bottom: 10px;
}
/* video */
.video-container {
    position: relative;
}
.video-container > div {
    position: absolute !important;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100% !important;
}
.button-container span {
    margin-right: -5px;
}
/* .video-container > div > div {
    opacity: 0.8;
} */
/* menubar */
.menu-bar{
    display: flex;
    justify-content: space-between;
}
.series {
    margin-bottom: 5px;
}
.episode {
    font-size: 20px;
}
.button-container {
    margin-top: 5px;
    position: relative;
}
.button-container button {
    margin-left: 10px;
    white-space: nowrap;
}

/* description */
.description-container {
    margin-top: 10px;
}

/* comment */
.comment-section {
    height: 500px;
    padding: 10px 0;
    margin-bottom: 10px;
    border-radius: 10px;
    overflow-x: hidden;
}
.comment-wrap {
    display: flex;
    margin-bottom: 10px;
}
.avatar {
    margin-right: 15px;
    height: 50px;
    width: 50px;
    border-radius: 100%;
}
.comment-wrap span {
    margin-right: 5px;
}
.username {
    text-decoration: underline;
    font-size: 20px;

}
.comment-content {
    white-space: pre-wrap;
}
#comment-form {
    text-align: right;
}

/* other ep */
.ep-container {
    margin-top: 30px;
    margin-bottom: 10px;
}
.ep-container ul {
    height: 200px;
    padding: 0;
    margin: 0;
    list-style-type: none;
    overflow-x: hidden;
}
.ep-container li:hover {
    cursor: pointer;
    color: #fff;
}

/* suggestion */
.suggestion-container {
    margin-top: 30px;
    margin-bottom: 10px;
}
.suggestion-container ul {
    height: 200px;
    padding: 0;
    margin: 0;
    list-style-type: none;
    overflow-x: hidden;
}

.error {
    display: none;
    position:absolute;
    top: 24px;
    padding: 5px;
    width: 60%;
    background-color: rgba(0, 0, 0, 0.6);
    white-space: nowrap;
    border-radius: 10px;
}

.error p {
    margin-bottom: 2px;
}

.error a {
    color: rgb(245, 101, 125);
}

.error a:hover {
    color: #fff;
}

.non-user {
    cursor: pointer;
}

.admin-only {
    display: none;
}

.admin-role .admin-only {
    display: inline-block;
    cursor: pointer;
}